# dmxprop.h File Reference

Go to the source code of this file.

## Functions

int | dmxPropertyDisplay (DMXScreenInfo *dmxScreen)
void | dmxPropertyWindow (DMXScreenInfo *dmxScreen)
void * | dmxPropertyIterate (DMXScreenInfo *start, void *(*f)(DMXScreenInfo *dmxScreen, void *closure), void *closure)
int | dmxPropertySameDisplay (DMXScreenInfo *dmxScreen, const char *name)

## Detailed Description

Interface for property support.

See also:
  dmxprop.c

## Function Documentation

int dmxPropertyDisplay | ( | DMXScreenInfo * | dmxScreen | ) |

Returns 0 if this is the only Xdmx session on the display; 1 otherwise.

References _DMXScreenInfo::beDisplay, DMX_ATOMNAME, dmxPropertyCheckOtherServers(), dmxPropertyIdentifier(), and _DMXScreenInfo::shared.

Referenced by dmxOpenDisplay().

void* dmxPropertyIterate | ( | DMXScreenInfo * | start,
|  | void *(*)(DMXScreenInfo *dmxScreen, void *closure) | f,
|  | void * | closure |
| ) |  |  |

int dmxPropertySameDisplay | ( | DMXScreenInfo * | dmxScreen,
|  | const char * | name |
| ) |  |  |

Returns 1 if the dmxScreen and the display in name are on the same display, or 0 otherwise. We can't just compare the display names because there can be multiple synonyms for the same display, some of which cannot be determined without accessing the display itself (e.g., domain aliases or machines with multiple NICs).

References _DMXScreenInfo::beDisplay, DMX_ATOMNAME, dmxDebug, dmxLog(), dmxWarning, and _DMXScreenInfo::name.

Referenced by dmxBackendInitPrivate(), and dmxInputInit().

void dmxPropertyWindow | ( | DMXScreenInfo * | dmxScreen | ) |

Prints a log message if dmxScreen is on the same backend X server as some other DMX backend (output) screen. Modifies the property (DMX_ATOMNAME) on the backend X server to reflect the creation of dmxScreen.

The root window of the backend X server holds a list of window ids for all DMX windows (on this DMX server or some other DMX server).

This list can then be iterated, and the property for each window can be examined. This property contains the following tuple (no quotes):

"#DMX_IDENT:<hostname running DMX>:<display name of DMX>,<screen number>"

References _DMXScreenInfo::beDisplay, DMX_ATOMNAME, dmxDebug, dmxLog(), dmxPropertyCheckOtherWindows(), dmxPropertyIdentifier(), _DMXScreenInfo::index, _DMXScreenInfo::name, _DMXScreenInfo::next, and _DMXScreenInfo::scrnWin.

Referenced by dmxBEScreenInit().

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>